com.genesyslab.wfm8.API.service.config852

## Class CfgOvertimeSlotCount

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgOvertimeSlotCount

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgOvertimeSlotCount
      extends java.lang.Object
      implements java.io.Serializable

  Contains current Overtime Slot count within Overtime Offer. In case of agent login, contains agent's slot count.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmOvertimeOfferId`
    `protected int` | `wmOvertimeSlots`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgOvertimeSlotCount()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmOvertimeOfferId()` Gets the value of the wmOvertimeOfferId property.
    `int` | `getWmOvertimeSlots()` Gets the value of the wmOvertimeSlots property.
    `int` | `hashCode()`
    `void` | `setWmOvertimeOfferId(int value)` Sets the value of the wmOvertimeOfferId property.
    `void` | `setWmOvertimeSlots(int value)` Sets the value of the wmOvertimeSlots property.
    `java.lang.String` | `toString()`
    `CfgOvertimeSlotCount` | `withWmOvertimeOfferId(int value)`
    `CfgOvertimeSlotCount` | `withWmOvertimeSlots(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmOvertimeOfferId

          protected int wmOvertimeOfferId

    - #### wmOvertimeSlots

          protected int wmOvertimeSlots

  - ### Constructor Detail

    - #### CfgOvertimeSlotCount

          public CfgOvertimeSlotCount()

  - ### Method Detail

    - #### getWmOvertimeOfferId

          public int getWmOvertimeOfferId()

      Gets the value of the wmOvertimeOfferId property.

    - #### setWmOvertimeOfferId

          public void setWmOvertimeOfferId(int value)

      Sets the value of the wmOvertimeOfferId property.

    - #### getWmOvertimeSlots

          public int getWmOvertimeSlots()

      Gets the value of the wmOvertimeSlots property.

    - #### setWmOvertimeSlots

          public void setWmOvertimeSlots(int value)

      Sets the value of the wmOvertimeSlots property.

    - #### withWmOvertimeOfferId

          public CfgOvertimeSlotCount withWmOvertimeOfferId(int value)

    - #### withWmOvertimeSlots

          public CfgOvertimeSlotCount withWmOvertimeSlots(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.